Skip to main content
GET
/
segmentation
/
sum
Numerically Sum
curl --request GET \
  --url https://{regionAndDomain}.com/api/query/segmentation/sum \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "ok",
  "computed_at": "2019-10-07T23:02:11.666218+00:00",
  "results": {
    "2019-10-07": 4,
    "2019-10-06": 7
  }
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

event
string
required

The event that you wish to get data for. Note: this is a single event name, not an array.

from_date
string
required

The date in yyyy-mm-dd format to begin querying from. This date is inclusive.

to_date
string
required

The date in yyyy-mm-dd format to query to. This date is inclusive.

on
string
required

The expression to sum per unit time. The result of the expression should be a numeric value. If the expression is not numeric, a value of 0.0 is assumed. See the expressions section below.

unit
enum<string>

This can be "hour" or "day". This determines the buckets into which the property values that you segment on are placed. The default value is "day".

Available options:
hour,
day
where
string

An expression to filter events by. See the expression to segment below.

Response

200 - application/json

Success.

status
string
computed_at
string
results
object